commit 868bbfa6ceb652df5e854730ab2e60358ac18361
Author: freddy77 <freddy77>
Date:   Wed Dec 17 11:04:34 2008 +0000

    check tds_connect_and_login result correctly

diff --git a/ChangeLog b/ChangeLog
index d3a3627..7ade710 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Wed Dec 17 12:01:55 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/ct.c src/dblib/dblib.c src/odbc/odbc.c src/pool/member.c:
+	* src/tds/login.c src/tds/unittests/common.c:
+	- check tds_connect_and_login result correctly
+
 Tue Dec 16 16:39:35 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tds.h src/ctlib/ct.c src/dblib/dblib.c src/tds/bulk.c:
 	- add and reuse tds_writetext_(start|continue|end)
@@ -1086,4 +1091,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2685 2008/12/16 15:41:18 freddy77 Exp $
+$Id: ChangeLog,v 1.2686 2008/12/17 11:04:34 freddy77 Exp $
diff --git a/src/ctlib/ct.c b/src/ctlib/ct.c
index 43a808b..ec95596 100644
--- a/src/ctlib/ct.c
+++ b/src/ctlib/ct.c
@@ -39,7 +39,7 @@
 #include "tdsstring.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: ct.c,v 1.183 2008/12/16 15:41:18 freddy77 Exp $");
+TDS_RCSID(var, "$Id: ct.c,v 1.184 2008/12/17 11:04:34 freddy77 Exp $");
 
 
 static char * ct_describe_cmd_state(CS_INT state);
@@ -616,7 +616,7 @@ ct_connect(CS_CONNECTION * con, CS_CHAR * servername, CS_INT snamelen)
 		*/
 	}
 
-	if (tds_connect_and_login(con->tds_socket, connection) == TDS_FAIL)
+	if (tds_connect_and_login(con->tds_socket, connection) != TDS_SUCCEED)
 		goto Cleanup;
 
 	tds_free_connection(connection);
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index 1ea3983..ec1d31f 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -76,7 +76,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.336 2008/12/16 15:41:18 freddy77 Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.337 2008/12/17 11:04:34 freddy77 Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -1146,7 +1146,7 @@ tdsdbopen(LOGINREC * login, const char *server, int msdblib)
 
 	TDS_MUTEX_UNLOCK(&dblib_mutex);
 
-	if (tds_connect_and_login(dbproc->tds_socket, connection) == TDS_FAIL) {
+	if (tds_connect_and_login(dbproc->tds_socket, connection) != TDS_SUCCEED) {
 		tds_free_connection(connection);
 		dbclose(dbproc);
 		return NULL;
diff --git a/src/odbc/odbc.c b/src/odbc/odbc.c
index 3786b54..ff298b0 100644
--- a/src/odbc/odbc.c
+++ b/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.507 2008/12/15 05:31:14 jklowden Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.508 2008/12/17 11:04:34 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv);
@@ -381,7 +381,7 @@ odbc_connect(TDS_DBC * dbc, TDSCONNECTION * connection)
 
 	connection->connect_timeout = dbc->attr.connection_timeout;
 
-	if (tds_connect_and_login(dbc->tds_socket, connection) == TDS_FAIL) {
+	if (tds_connect_and_login(dbc->tds_socket, connection) != TDS_SUCCEED) {
 		tds_free_socket(dbc->tds_socket);
 		dbc->tds_socket = NULL;
 		odbc_errs_add(&dbc->errs, "08001", NULL);
diff --git a/src/pool/member.c b/src/pool/member.c
index 418213c..b31fb5f 100644
--- a/src/pool/member.c
+++ b/src/pool/member.c
@@ -59,7 +59,7 @@
 #define MAXHOSTNAMELEN 256
 #endif /* MAXHOSTNAMELEN */
 
-TDS_RCSID(var, "$Id: member.c,v 1.43 2008/12/15 05:31:14 jklowden Exp $");
+TDS_RCSID(var, "$Id: member.c,v 1.44 2008/12/17 11:04:34 freddy77 Exp $");
 
 static int pool_packet_read(TDS_POOL_MEMBER * pmbr);
 static TDSSOCKET *pool_mbr_login(TDS_POOL * pool);
@@ -96,7 +96,7 @@ pool_mbr_login(TDS_POOL * pool)
 	context = tds_alloc_context(NULL);
 	tds = tds_alloc_socket(context, 512);
 	connection = tds_read_config_info(NULL, login, context->locale);
-	if (!connection || tds_connect_and_login(tds, connection) == TDS_FAIL) {
+	if (!connection || tds_connect_and_login(tds, connection) != TDS_SUCCEED) {
 		tds_free_socket(tds);
 		tds_free_connection(connection);
 		/* what to do? */
diff --git a/src/tds/login.c b/src/tds/login.c
index 984ed12..b610e7c 100644
--- a/src/tds/login.c
+++ b/src/tds/login.c
@@ -51,7 +51,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: login.c,v 1.177 2008/12/15 05:31:15 jklowden Exp $");
+TDS_RCSID(var, "$Id: login.c,v 1.178 2008/12/17 11:04:34 freddy77 Exp $");
 
 static int tds_send_login(TDSSOCKET * tds, TDSCONNECTION * connection);
 static int tds8_do_login(TDSSOCKET * tds, TDSCONNECTION * connection);
@@ -355,7 +355,7 @@ tds_connect_and_login(TDSSOCKET * tds, TDSCONNECTION * connection)
 			connection->minor_version = versions[i].minor_version;
 			reset_save_context(&save_ctx);
 
-			if ((erc = tds_connect_and_login(tds, connection)) == TDS_FAIL) {
+			if ((erc = tds_connect_and_login(tds, connection)) != TDS_SUCCEED) {
 				tds_close_socket(tds);
 			}
 			
diff --git a/src/tds/unittests/common.c b/src/tds/unittests/common.c
index 48896fb..f037b2a 100644
--- a/src/tds/unittests/common.c
+++ b/src/tds/unittests/common.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: common.c,v 1.28 2008/12/15 05:31:15 jklowden Exp $";
+static char software_version[] = "$Id: common.c,v 1.29 2008/12/17 11:04:34 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 char USER[512];
@@ -97,7 +97,7 @@ try_tds_login(TDSLOGIN ** login, TDSSOCKET ** tds, const char *appname, int verb
 	*tds = tds_alloc_socket(test_context, 512);
 	tds_set_parent(*tds, NULL);
 	connection = tds_read_config_info(NULL, *login, test_context->locale);
-	if (!connection || tds_connect_and_login(*tds, connection) == TDS_FAIL) {
+	if (!connection || tds_connect_and_login(*tds, connection) != TDS_SUCCEED) {
 		if (connection) {
 			tds_free_socket(*tds);
 			*tds = NULL;

